=== debian/changelog ===
mosquitto (2.0.20-3) unstable; urgency=medium

  * Marked broker tests as flaky (Closes: #1093968)
  * Bumped standards version

 -- Joachim Zobel <jz-2017@heute-morgen.de>  Sun, 26 Jan 2025 13:22:52 +0100

mosquitto (2.0.20-2) unstable; urgency=medium

  [Joachim Zobel]
  * Adapted tests to python 3.13 (Closes: #1092750) 
  * Reenabled and fixed several tests

  [Max-Julian Pogner]
  * Fixed pointer to conf example having wrong filename

 -- Joachim Zobel <jz-2017@heute-morgen.de>  Mon, 20 Jan 2025 06:30:00 +0100

mosquitto (2.0.20-1) unstable; urgency=medium

  * Team upload.

  [ Joachim Zobel ]
  * New upstream release
    - Fix for CVE-2024-8376
  * debian/patches/2895.patch: Changes both service files now (Closes: #1036450)
  * debian/patches/2894.patch: Removed, applied by upstream
  * debian/patches/1571.patch: Removed, applied by upstream
  * Fixed reprotest build_path failure
  * Fixed 2 lintian warnings
  * Added Joachim Zobel as uploader

 -- Philippe Coval <rzr@users.sf.net>  Mon, 21 Oct 2024 13:42:51 +0200

mosquitto (2.0.18-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install mosquitto.service into /usr (DEP17 M2).
    (Closes: #1071917)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 13 Aug 2024 20:10:03 +0200
