=== apps/db_dump/Makefile ===
--- 
+++ 
@@ -20,6 +20,10 @@
 	   topic_tok.o \
 	   util_topic.o \
 	   utf8_mosq.o
+
+ifeq ($(UNAME),Linux)
+    LIBS:=$(LIBS) -lrt
+endif
 
 .PHONY: all clean reallyclean
