=== debian/changelog ===
mosquitto (2.0.21-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports

 -- Joachim Zobel <jz-2017@heute-morgen.de>  Sat, 03 May 2025 06:21:56 +0200

mosquitto (2.0.21-1) unstable; urgency=medium

  * New upstream release (Closes: #1094157, #1094316)
  * Patch to add line breaks to the mosquitto_ctrl man page
  * Test certificates are generated before each autopkgtest run 

 -- Joachim Zobel <jz-2017@heute-morgen.de>  Fri, 21 Mar 2025 19:15:10 +0100
